GET /scores/{score}/revisions/{revision}/{format}
Operation ID: getScoreRevisionData
Auth: unknown
Description
Retrieve the file corresponding to a score revision (the following formats are available): Flat JSON/Adagio JSON `json`, MusicXML `mxl`/`xml`, MP3 `mp3`, WAV `wav`, MIDI `midi`, a tumbnail of the first page `thumbnail.png` or auto sync points `synchronizationPoints`.
Parameters (7)
(string, path, required)
The format of the file you will retrieve
Constraints: {'enum': ['json', 'mxl', 'xml', 'mp3', 'wav', 'midi', 'thumbnail.png', 'synchronizationPoints']}
(boolean, query, optional)
Only return files already generated and cached in Flat's production cache. If the file is not availabe, a 404 will be returned
(string, query, optional)
An optional a set of parts uuid to be exported. This parameter must be composed of parts uuids separated by commas. For example "59df645f-bb1c-f1b4-b573-d2afc4491f94,34ef645f-1aef-f3bc-1564-34cca4492b87".
(string, path, required)
Unique identifier of a score revision. You can use `last` to fetch the information related to the last version created.
(string, path, required)
Unique identifier of the score document. This can be a Flat Score unique identifier (i.e. `ScoreDetails.id`) or, if the score is also a Google Drive file, the Drive file unique identifier prefixed with `drive-` (e.g. `drive-0B000000000`).
(string, query, optional)
This sharing key must be specified to access to a score or collection with a `privacy` mode set to `privateLink` and the current user is not a collaborator of the document.
(boolean, query, optional)
Returns a json with the `url` in it instead of redirecting
No probe data for this endpoint yet.